VALA-GEN-INTROSPECT(1)

NAME
vala-gen-introspect - generate a GI file for GObject and glib based packages

SYNOPSIS
vala-gen-introspect PKGNAME PKGBASE

DESCRIPTION
vala-gen-introspect is a utility which generates GI files from GObject and glib based packages. It can be used in combination with vapigen(1) to generate an API for Vala, and allow its usage in Vala for compiling to native code. PKGNAME is the pkg-config name of the library and PKGBASE specifies the base directory for that package.

  Usage:

    gen-introspect [OPTION???]

  Help Options:

-h, --help
    Show help options

  Application Options:

-v, --verbose
    Be verbose

-o, --output=FILE
    write output here instead of stdout

-n, --namespace=NAMESPACE
    Namespace of the module, like 'Gtk'

--shared-library=FILE
    Shared library which contains the symbols

--include-idl=IDL
    Other gidls to include

BUGS
https://gitlab.gnome.org/GNOME/vala/issues

HOMEPAGE OR CONTACT
https://vala.dev

AUTHORS
J??rg Billeter, Raffaele Sandrini.

EXAMPLES
After compilation, the following command generates a GI for pango: vala-gen-introspect pango packages/pango

This can then be converted to a Vala API as follows:
    vapigen --pkg cairo --vapidir . --library pango packages/pango/pango.gi

SEE ALSO
vapigen (1)